# $Revision: 1.26 $, $Date: 2010/07/08 08:31:10 $
Summary:	PostgreSQL module for Python
Summary(pl.UTF-8):	Moduł PostgreSQL dla Pythona
Name:		python-PyGreSQL
Version:	4.0
Release:	2
License:	BSD-like
Group:		Libraries/Python
Source0:	ftp://ftp.pygresql.org/pub/distrib/PyGreSQL-%{version}.tgz
# Source0-md5:	1aca50e59ff4cc56abe9452a9a49c5ff
URL:		http://www.pygresql.org/
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
Obsoletes:	python-postgresql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyGreSQL is a Python module that interfaces to a PostgreSQL database.
It embeds the PostgreSQL query library to allow easy use of the
powerful PostgreSQL features from a Python script.

%description -l pl.UTF-8
PyGreSQL to moduł Pythona będący interfejsem do bazy danych
PostgreSQL. Osadza bibliotekę zapytań PostgreSQL, aby umożliwić łatwe
korzystanie z potężnych możliwości PostgreSQL-a w skryptach Pythona.

%prep
%setup -q -n PyGreSQL-%{version}

%build
./setup.py build_ext \
	-I/usr/include/postgresql/server

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install tutorial/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

find $RPM_BUILD_ROOT%{py_sitedir} -type f -name "*.py" -exec rm -rf {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{py_sitedir}/_pg.so
%{py_sitedir}/*.py[co]
%{py_sitedir}/PyGreSQL-*.egg-info
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyGreSQL.spec,v $
Revision 1.26  2010/07/08 08:31:10  arekm
- release 2

Revision 1.25  2009/01/07 09:14:28  duddits
- up to 4.0

Revision 1.24  2008/10/03 17:57:12  arekm
- release 2

Revision 1.23  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.21  2006/11/27 16:43:42  qboosh
- builds without python-devel-src
- added .egg-info for python 2.5

Revision 1.20  2006/11/26 02:19:23  psz
- up to 3.8.1

Revision 1.19  2005/10/02 18:04:29  twittner
- added missing md5

Revision 1.18  2005/10/02 17:59:59  twittner
- up to 3.7

Revision 1.17  2005/06/09 16:39:29  saq
- up to 3.6.2

Revision 1.16  2004/12/24 21:50:41  arekm
- rel2

Revision 1.15  2004/08/30 16:56:30  zboczuch
- version 3.5
- cleanups

Revision 1.14  2004/02/07 11:26:23  jajcus
- Version: 3.4 (final)

Revision 1.13  2003/11/14 19:27:15  qboosh
- silently disappeared from postgresql 7.4
